import board, digitalio, pwmio
from random import randint
import time, touchio
import neopixel
from adafruit_debouncer import Debouncer
import adafruit_mpr121
import touchio
from adafruit_apds9960.apds9960 import APDS9960
from analogio import AnalogIn
from audiopwmio import PWMAudioOut as AudioOut
from audiocore import WaveFile
from adafruit_motor import servo
import digitalio
import busio

button_A_input = digitalio.DigitalInOut(board.D3)
button_A_input.switch_to_input(pull=digitalio.Pull.UP)
button_A = Debouncer(button_A_input)

strip_pin = board.D2
leds_on_strip = 30
strip = neopixel.NeoPixel(strip_pin, leds_on_strip, brightness = 0.5, auto_write=True)

i2c = board.I2C()
touch_pad = adafruit_mpr121.MPR121(i2c)

audio = AudioOut(board.D4)

path = "sounds/"

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            strip.fill((255,0,0))
            time.sleep(0.2)
            strip.fill((0,255,0))



def light_timer():
    strip.fill((0,255,0))
    for i in range(1,31):
        if touch_pad[1].value:
            play_sound('drum_cowbell.wav')
        else:
            strip[0:i]=(0,0,0)*(i)
            time.sleep(1.2)


touched=False
but=False
strip.fill((0,0,0))

while True:
    button_A.update()
    if button_A.fell:
        but=True
    if but and not touched:
        light_timer()
        but=False
